安装最新版本的PHP或Apache中遇到的问题

原创 2016年06月02日 12:13:11

PHP7发布已经有一段时间了,据说有一些比较好的改进,官方也说速度比php5.6快了两倍,性能上有了很大提升,并且也发布了从php5.x向php7迁移的问题,所以今后php网站迁移后能够大幅度的提升网站性能,所以为了尝试我也在电脑本地安装了PHP7.0的版本。

电脑本地安装的是wamp集成包,php还停留在5.2版本;我直接去wamp的官网下载了最新的wamp集成安装包,但是安装httpd时提示缺少vcruntime140.dll,多方查询尝试,终于找到了解决办法。

在Windows下运行最新版的Apache和php7都需要Visual C++Redistributable 2015,而之前的版本不需要那么高的,这个组件是运行Visual Studio 2015所建立的C++应用的必要组件,安装一次即可解决环境问题,那么去微软官网下载安装程序,安装一遍重启电脑即可。

下载地址:https://www.microsoft.com/en-US/download/details.aspx?id=48145

64位和32位两个都安上就可以。



最后,不要相信坑某度推荐的这条方法,完全没用,浪费时间!!!

在安装flash player 时提示不是最新的版本 && 安装失败

“正尝试安装的 Adobe Flash Player 版本不是最新的版本,请访问 http://www.adobe.com/go/getflashplayer 以获取最新、最安全的版本” 每...
  • gold2008
  • gold2008
  • 2014年01月15日 19:09
  • 4322

centos6.9 yum安装高版本php,apache,mysql

1.检查当前安装的PHP包 yum list installed | grep php 如果要删除,可执行 yum remove php.x86_64 php-cli.x86_64 ...
  • qq_27229113
  • qq_27229113
  • 2018年01月27日 21:30
  • 43

Running Shark Locally 及可能出现的问题

Shark本地安装  1.下载scala  wget http://www.scala-lang.org/files/archive/scala-2.9.3.tgz  最新有2.10.2.t...
  • Johnny_Lee
  • Johnny_Lee
  • 2014年02月25日 14:48
  • 1113

我的关于PHP开发中遇到的小问题集锦(持续更新...)

1.mt_rand和rand函数的区别,     1).性能上:mt_rand快四倍     2).生成随机数的数值范围:mt_rand范围更大     建议用mt_rand. 2....
  • damonao
  • damonao
  • 2016年11月18日 17:16
  • 360

centOS安装php最新版本

查看 centos 版本: [root@iZ23d ~]# cat /etc/centos-release   CentOS Linux release 7.2.1511 (Core)   ...
  • tiansan
  • tiansan
  • 2017年03月24日 10:37
  • 1030

centos yum安装高版本php,apache,mysql

1.检查当前安装的PHP包 yum list installed | grep php 如果要删除,可执行 yum remove php.x86_64 php-cli.x86_64 php-commo...
  • buyueliuying
  • buyueliuying
  • 2016年09月14日 11:03
  • 7125

安装老版本flash - 解决”正尝试安装的adobe flash player不是最新版本“的办法

安装Flash player时提示”正尝试安装的adobe flash player不是最新版本“,解决的办法是在运行中输入regedit,在注册表中找到   HKEY_LOCAL_MACHINE\...
  • think_ycx
  • think_ycx
  • 2017年08月29日 13:11
  • 2258

部署两套apache-httpd,php不同版本,添加php模块

背景介绍: 两套php的web应用,A 应用需要php7版本,B应用需要php5。其中B需要mbstring功能 1. 安装两个apache-httpd  注意1> 指定两个不同安装目录...
  • zhuchunyan_aijia
  • zhuchunyan_aijia
  • 2017年01月12日 11:28
  • 1298

正尝试安装的adobe flash player不是最新版本 - 解决办法

【问题描述】今天再进行Flex程序开发的时候,由于之前安装了一个flash player 10.2 beta版本,又来由于这个beta版没有dubug版本的,就想装回10.1 debug版本,但是安装...
  • virgoboy2004
  • virgoboy2004
  • 2011年01月21日 11:50
  • 7201

Apache,PHP,MySQL的单独安装以及使用时的相关配置(主要结合之前博客配合安装php和mysql)

Apache 1. 下载 Apache版本号为2.2.22. 最好下载msi安装文件。下载地址为:http://www.apache.org/dist/httpd/binaries/win...
  • jayxujia123
  • jayxujia123
  • 2014年05月21日 14:53
  • 3993
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:安装最新版本的PHP或Apache中遇到的问题
举报原因:
原因补充:

(最多只允许输入30个字)